コンテンツにスキップ
ShopentlyLearn

商品 · ステータス · upload_id

upload_idを作成した後、multipart/form-dataでファイルを送信し、商品に関連付けます。ダウンロードにはBearerトークンとcategoryの権限が必要です。応答はファイルのバイト列で、公開URLやパスワードは使いません。 共通販売ファイルへの明示的なアクセス規則。 new_purchases / recent_and_new / selected / all_purchasers.

GET/api/v1/product-file-uploads/{upload_id}

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/product-file-uploads/00000000-0000-4000-8000-000000000001?category=digital' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

レスポンス

{
  "data": {
    "category": "digital",
    "expires_at": "2026-01-01T12:00:00Z",
    "filename": "manual.pdf",
    "id": "00000000-0000-4000-8000-000000000001",
    "product_id": "example",
    "received_bytes": 46,
    "sha256": "5cd2f1cb0e5532b397e7ab1887baf6000c49450fd80ae279eb047c06e4545ecd",
    "size_bytes": 46,
    "status": "ready"
  },
  "meta": {
    "request_id": "example"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
必要な権限
特定のフィールドに必要な追加権限
  • category=internal: 商品ファイルの閲覧 · 内部ファイルcatalog.product_file:read_internal
  • category=customer_document: 商品ファイルの閲覧 · 購入者向け資料catalog.product_file:read_customer_document
  • category=digital: 商品ファイルの閲覧 · デジタル商品catalog.product_file:read_digital